# Uses of Interface
org.apache.zookeeper.server.quorum.auth.QuorumAuthServer

Packages that use QuorumAuthServer
Package
Description
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.auth

## Uses of QuorumAuthServer in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return QuorumAuthServer
Modifier and Type
Method
Description
`QuorumAuthServer`
Leader.`getQuorumAuthServer()`
`QuorumAuthServer`
ObserverMaster.`getQuorumAuthServer()`
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumAuthServer
Modifier
Constructor
Description
``
`QuorumCnxManager(QuorumPeer self, long mySid, Map<Long, QuorumPeer.QuorumServer> view, QuorumAuthServer authServer, QuorumAuthLearner authLearner, int socketTimeout, boolean listenOnAllIPs, int quorumCnxnThreadsSize, boolean quorumSaslAuthEnabled)`

## Uses of QuorumAuthServer in org.apache.zookeeper.server.quorum.auth

Classes in org.apache.zookeeper.server.quorum.auth that implement QuorumAuthServer
Modifier and Type
Class
Description
`class`
`NullQuorumAuthServer`
This class represents no authentication server, it just return without performing any authentication.
`class`
`SaslQuorumAuthServer`